MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029240Open CASCADE[OCCT] OCCT:Data Exchangepublic2017-10-18 17:372020-05-16 14:21
Reporterika 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0029240: Data Exchange - Crash during reading STEP file
DescriptionThis issue is from DMU_Reviewer project.

The problem is in empty style entity in the given file
#13367=PRESENTATION_STYLE_ASSIGNMENT($);
Check for null should be added into
StepVisual_PresentationStyleAssignment::NbStyles()
Steps To ReproduceReadStep Doc nist_ctc_05_asme1_ap242-1.stp
TagsNo tags attached.
Test case numberbugs/step/bug29240
Attached Files? file icon nist_ctc_05_asme1_ap242-1.stp (878,539 bytes) 2017-10-18 17:37

- Relationships

-  Notes
(0091531)
git (administrator)
2020-04-13 11:56

Branch CR29240 has been created by dpasukhi.

SHA-1: ff16a97c2543de5288b896f3acc93673e6505dbb


Detailed log of new commits:

Author: dpasukhi
Date: Mon Apr 13 11:49:14 2020 +0300

    0029240: Data Exchange - Crash during reading STEP file
    
    - Issue is done in previous version OCCT
    - Add test to verify import
(0092085)
git (administrator)
2020-05-13 13:39

Branch CR29240 has been updated forcibly by dpasukhi.

SHA-1: 218c223e32567ab03882d874cc664e84c9e621f9
(0092116)
ika (developer)
2020-05-14 15:08

Only one test case was added, it passed successfully:
http://occt-tests/CR29240-master-dpasukhi-OCCT/Windows-64-VC14/bugs/step/bug29240.html [^]
http://occt-tests/CR29240-master-dpasukhi-OCCT/Debian80-64/bugs/step/bug29240.html [^]

No remarks.
(0092117)
ika (developer)
2020-05-14 15:08

Dear bugmaster,

please integrate:
OCCT - CR29240
PRODUCTS - NOT
(0092132)
bugmaster (administrator)
2020-05-15 11:08

Combination -
OCCT branch : WEEK-20
master SHA - d9eb6aca8789e6b8ff6742e3ad60a4dadf0cd37e
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : WEEK-20 SHA - eb85b0feb479f67f3a505bcb285922a288149f74
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17146.6200000001 / 17177.020000000186 [-0.18%]
Products
Total CPU difference: 11178.21000000009 / 11272.470000000078 [-0.84%]
Windows-64-VC14:
OCCT
Total CPU difference: 18609.671875 / 18646.015625 [-0.19%]
Products
Total CPU difference: 13007.71875 / 13180.21875 [-1.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092183)
git (administrator)
2020-05-16 14:21

Branch CR29240 has been deleted by inv.

SHA-1: 218c223e32567ab03882d874cc664e84c9e621f9

- Related Changesets
occt: master b04decfa
Timestamp: 2020-04-13 08:49:14
Author: dpasukhi
Committer: bugmaster
Details ] Diff ]
0029240: Data Exchange - Crash during reading STEP file

- Issue is done in previous version OCCT
- Add test to verify import
add - tests/bugs/step/bug29240 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-10-18 17:37 ika New Issue
2017-10-18 17:37 ika Assigned To => gka
2017-10-18 17:37 ika File Added: nist_ctc_05_asme1_ap242-1.stp
2019-09-04 13:04 abv Target Version 7.4.0 => 7.5.0
2020-03-25 16:55 abv Assigned To gka => dpasukhi
2020-03-25 16:55 abv Status new => assigned
2020-04-13 11:56 git Note Added: 0091531
2020-04-14 12:05 dpasukhi Status assigned => resolved
2020-05-13 13:39 git Note Added: 0092085
2020-05-14 15:08 ika Note Added: 0092116
2020-05-14 15:08 ika Note Added: 0092117
2020-05-14 15:08 ika Assigned To dpasukhi => bugmaster
2020-05-14 15:08 ika Status resolved => reviewed
2020-05-15 11:08 bugmaster Note Added: 0092132
2020-05-15 11:08 bugmaster Status reviewed => tested
2020-05-15 11:12 bugmaster Test case number => bugs/step/bug29240
2020-05-16 14:07 bugmaster Changeset attached => occt master b04decfa
2020-05-16 14:07 bugmaster Status tested => verified
2020-05-16 14:07 bugmaster Resolution open => fixed
2020-05-16 14:21 git Note Added: 0092183


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker